org.apache.hadoop.hdfs.server.datanode.fsdataset.impl

## Class ReservedSpaceCalculator

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.fsdataset.impl.ReservedSpaceCalculator

- Direct Known Subclasses:
    ReservedSpaceCalculator.ReservedSpaceCalculatorAbsolute, ReservedSpaceCalculator.ReservedSpaceCalculatorAggressive, ReservedSpaceCalculator.ReservedSpaceCalculatorConservative, ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage

      public abstract class ReservedSpaceCalculator
      extends Object

  Used for calculating file system space reserved for non-HDFS data.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReservedSpaceCalculator.Builder` Used for creating instances of ReservedSpaceCalculator.
    `static class` | `ReservedSpaceCalculator.ReservedSpaceCalculatorAbsolute` Based on absolute number of reserved bytes.
    `static class` | `ReservedSpaceCalculator.ReservedSpaceCalculatorAggressive` Calculates absolute and percentage based reserved space and picks the one that will yield less reserved space.
    `static class` | `ReservedSpaceCalculator.ReservedSpaceCalculatorConservative` Calculates absolute and percentage based reserved space and picks the one that will yield more reserved space.
    `static class` | `ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage` Based on percentage of total capacity in the storage.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.